Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8485)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8486)
@@ -12,19 +12,19 @@
    !!   'key_lim3'                                      LIM-3 sea-ice model
    !!----------------------------------------------------------------------
-   USE par_oce          ! ocean parameters
-   USE dom_oce          ! ocean domain
-   USE phycst           ! physical constants (ocean directory) 
-   USE sbc_oce, ONLY: sss_m, sst_m          ! surface boundary condition: ocean fields
-   USE ice1D            ! LIM thermodynamics
-   USE ice              ! LIM variables
-   USE icevar           ! LIM
-   USE icectl           ! control prints
+   USE par_oce        ! ocean parameters
+   USE dom_oce        ! ocean domain
+   USE phycst         ! physical constants (ocean directory) 
+   USE sbc_oce , ONLY : sss_m, sst_m   ! surface boundary condition: ocean fields
+   USE ice1D          ! sea-ice: thermodynamics
+   USE ice            ! sea-ice: variables
+   USE icevar         ! sea-ice: operations
+   USE icectl         ! sea-ice: control prints
    !
-   USE lbclnk           ! lateral boundary condition - MPP exchanges
-   USE lib_mpp          ! MPP library
-   USE in_out_manager   ! I/O manager
-   USE iom              ! I/O manager
-   USE lib_fortran      ! glob_sum
-   USE timing           ! Timing
+   USE lbclnk         ! lateral boundary condition - MPP exchanges
+   USE lib_mpp        ! MPP library
+   USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager
+   USE lib_fortran    ! glob_sum
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -32,7 +32,7 @@
 
    PUBLIC   ice_rdgrft               ! called by ice_stp
-   PUBLIC   ice_rdgrft_icestrength
-   PUBLIC   ice_rdgrft_init
-   PUBLIC   ice_rdgrft_alloc        ! called by ice_init 
+   PUBLIC   ice_rdgrft_icestrength   ! called by icerhg_evp
+   PUBLIC   ice_rdgrft_init          ! called by ice_stp
+   PUBLIC   ice_rdgrft_alloc         ! called by ice_init 
 
    !-----------------------------------------------------------------------
@@ -52,9 +52,14 @@
    REAL(wp), PARAMETER ::   kraft   = 0.5_wp    ! rafting multipliyer
 
-   REAL(wp) ::   Cp                             ! 
+!!gm Cp is  1) not DOCTOR, 
+!!          2) misleading name: heat capacity instead of a constant,
+!!          3) recomputed at each time-step, whereas it is stored in the module memory...
+!!             ===>>> compute it one for all inside the IF( kt == nit000 ) (i.e. without the ".AND. lwp")
+   REAL(wp)            ::   Cp                  ! ??? !!gm  Not doctor ! 
+   
    !
    !
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
+   !! NEMO/ICE 4.0 , NEMO Consortium (2017)
    !! $Id: icerdgrft.F90 8378 2017-07-26 13:55:59Z clem $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -66,9 +71,7 @@
       !!                ***  ROUTINE ice_rdgrft_alloc ***
       !!---------------------------------------------------------------------!
-      ALLOCATE(                                                                      &
-         !* Variables shared among ridging subroutines
-         &      asum (jpi,jpj)     , athorn(jpi,jpj,0:jpl) , aksum (jpi,jpj)     ,   &
-         &      hrmin(jpi,jpj,jpl) , hraft(jpi,jpj,jpl)    , aridge(jpi,jpj,jpl) ,   &
-         &      hrmax(jpi,jpj,jpl) , krdg (jpi,jpj,jpl)    , araft (jpi,jpj,jpl) , STAT=ice_rdgrft_alloc )
+      ALLOCATE( asum (jpi,jpj)     , athorn(jpi,jpj,0:jpl) , aksum (jpi,jpj)     ,     &
+         &      hrmin(jpi,jpj,jpl) , hraft (jpi,jpj,jpl)   , aridge(jpi,jpj,jpl) ,     &
+         &      hrmax(jpi,jpj,jpl) , krdg  (jpi,jpj,jpl)   , araft (jpi,jpj,jpl) , STAT=ice_rdgrft_alloc )
          !
       IF( ice_rdgrft_alloc /= 0 )   CALL ctl_warn( 'ice_rdgrft_alloc: failed to allocate arrays' )
@@ -105,14 +108,14 @@
       INTEGER, INTENT(in) ::   kt     ! number of iteration
       !!
-      INTEGER  ::   ji, jj, jk, jl        ! dummy loop index
-      INTEGER  ::   niter                 ! local integer 
-      INTEGER  ::   iterate_ridging       ! if true, repeat the ridging
-      REAL(wp) ::   za, zfac              ! local scalar
+      INTEGER  ::   ji, jj, jk, jl     ! dummy loop index
+      INTEGER  ::   niter              ! local integer 
+      INTEGER  ::   iterate_ridging    ! if =1, repeat the ridging
+      REAL(wp) ::   za, zfac, zcs_2    ! local scalar
       CHARACTER (len = 15) ::   fieldid
-      REAL(wp), DIMENSION(jpi,jpj)   ::   closing_net     ! net rate at which area is removed    (1/s)
-                                                               ! (ridging ice area - area of new ridges) / dt
-      REAL(wp), DIMENSION(jpi,jpj)   ::   divu_adv        ! divu as implied by transport scheme  (1/s)
-      REAL(wp), DIMENSION(jpi,jpj)   ::   opning          ! rate of opening due to divergence/shear
-      REAL(wp), DIMENSION(jpi,jpj)   ::   closing_gross   ! rate at which area removed, not counting area of new ridges
+      REAL(wp), DIMENSION(jpi,jpj) ::   closing_net     ! net rate at which area is removed    (1/s)
+      !                                                 ! (ridging ice area - area of new ridges) / dt
+      REAL(wp), DIMENSION(jpi,jpj) ::   divu_adv        ! divu as implied by transport scheme  (1/s)
+      REAL(wp), DIMENSION(jpi,jpj) ::   opning          ! rate of opening due to divergence/shear
+      REAL(wp), DIMENSION(jpi,jpj) ::   closing_gross   ! rate at which area removed, not counting area of new ridges
       !
       INTEGER, PARAMETER ::   nitermax = 20    
@@ -124,22 +127,33 @@
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
-         WRITE(numout,*)'icerdgrft'
-         WRITE(numout,*)'~~~~~~~~~'
+         WRITE(numout,*)'icerdgrft : ice ridging and rafting'
+         WRITE(numout,*)'~~~~~~~~~~'
       ENDIF
-
-      ! conservation test
-      IF( ln_limdiachk ) CALL ice_cons_hsm(0, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+!!gm should be:      
+!      IF( kt == nit000 ) THEN
+!         IF(lwp) WRITE(numout,*)
+!         IF(lwp) WRITE(numout,*)'icerdgrft : ???'
+!         IF(lwp) WRITE(numout,*)'~~~~~~~~~~'
+!         !
+!         Cp    = 0.5 * grav * (rau0-rhoic) * rhoic * r1_rau0      ! proport const for PE
+!         !
+!!gm why not adding here zcs_2 computation
+!         !
+!      ENDIF
+!!gm end
+      
+      !                    ! conservation test
+      IF( ln_limdiachk )   CALL ice_cons_hsm(0, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
 
       !-----------------------------------------------------------------------------!
       ! 1) Thickness categories boundaries, ice / o.w. concentrations, init_ons
       !-----------------------------------------------------------------------------!
-      Cp = 0.5 * grav * (rau0-rhoic) * rhoic * r1_rau0             ! proport const for PE
-      !
-      CALL ice_rdgrft_ridgeprep                                    ! prepare ridging
-      !
-
-      DO jj = 1, jpj                                     ! Initialize arrays.
+      Cp    = 0.5 * grav * (rau0-rhoic) * rhoic * r1_rau0      ! proport const for PE
+      zcs_2 = rn_cs * 0.5_wp
+      !
+      CALL ice_rdgrft_ridgeprep                             ! prepare ridging
+      !
+      DO jj = 1, jpj                                        ! Initialize arrays.
          DO ji = 1, jpi
-
             !-----------------------------------------------------------------------------!
             ! 2) Dynamical inputs (closing rate, divu_adv, opning)
@@ -161,5 +175,5 @@
             !  (thick, newly ridged ice).
 
-            closing_net(ji,jj) = rn_cs * 0.5 * ( delta_i(ji,jj) - ABS( divu_i(ji,jj) ) ) - MIN( divu_i(ji,jj), 0._wp )
+            closing_net(ji,jj) = zcs_2 * ( delta_i(ji,jj) - ABS( divu_i(ji,jj) ) ) - MIN( divu_i(ji,jj), 0._wp )
 
             ! 2.2 divu_adv
@@ -233,7 +247,5 @@
          ! 3.3 Redistribute area, volume, and energy.
          !-----------------------------------------------------------------------------!
-
          CALL ice_rdgrft_ridgeshift( opning, closing_gross )
-
          
          ! 3.4 Compute total area of ice plus open water after ridging.
@@ -246,5 +258,4 @@
          ! Check whether asum = 1.  If not (because the closing and opening
          ! rates were reduced above), ridge again with new rates.
-
          iterate_ridging = 0
          DO jj = 1, jpj
@@ -262,14 +273,11 @@
             END DO
          END DO
-
          IF( lk_mpp )   CALL mpp_max( iterate_ridging )
 
          ! Repeat if necessary.
          ! NOTE: If strength smoothing is turned on, the ridging must be
-         ! iterated globally because of the boundary update in the 
-         ! smoothing.
-
+         ! iterated globally because of the boundary update in the smoothing.
          niter = niter + 1
-
+         !
          IF( iterate_ridging == 1 ) THEN
             CALL ice_rdgrft_ridgeprep
@@ -279,5 +287,5 @@
             ENDIF
          ENDIF
-
+         !
       END DO !! on the do while over iter
 
@@ -287,12 +295,14 @@
       ! control prints
       !-----------------------------------------------------------------------------!
-      ! conservation test
-      IF( ln_limdiachk ) CALL ice_cons_hsm(1, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
-
-      ! control prints
-      IF( ln_ctl )       CALL ice_prt3D( 'icerdgrft' )
+      !                    ! conservation test
+      IF( ln_limdiachk )   CALL ice_cons_hsm(1, 'icerdgrft', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+
+      !                    ! control prints
+      IF( ln_ctl       )   CALL ice_prt3D( 'icerdgrft' )
       !
       IF( nn_timing == 1 )  CALL timing_stop('icerdgrft')
+      !
    END SUBROUTINE ice_rdgrft
+
 
    SUBROUTINE ice_rdgrft_ridgeprep
@@ -305,37 +315,44 @@
       !!              participating in ridging and of the resulting ridges.
       !!---------------------------------------------------------------------!
-      INTEGER  ::   ji,jj, jl    ! dummy loop indices
-      REAL(wp) ::   Gstari, astari, hrmean, zdummy   ! local scalar
+      INTEGER  ::   ji, jj, jl    ! dummy loop indices
+      REAL(wp) ::   Gstari, astari, hrmean, zdummy   ! local scalar     !!gm DOCTOR norme should start with z !!!!!
       REAL(wp), DIMENSION(jpi,jpj,-1:jpl) ::   Gsum      ! Gsum(n) = sum of areas in categories 0 to n
       !------------------------------------------------------------------------------!
 
-      Gstari     = 1.0/rn_gstar    
-      astari     = 1.0/rn_astar    
-      aksum(:,:)    = 0.0
-      athorn(:,:,:) = 0.0
-      aridge(:,:,:) = 0.0
-      araft (:,:,:) = 0.0
-
-      ! Zero out categories with very small areas
-      CALL ice_var_zapsmall
-
-      ! Ice thickness needed for rafting
-      DO jl = 1, jpl
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               rswitch = MAX( 0._wp , SIGN( 1._wp, a_i(ji,jj,jl) - epsi20 ) )
-               ht_i(ji,jj,jl) = v_i (ji,jj,jl) / MAX( a_i(ji,jj,jl) , epsi20 ) * rswitch
-           END DO
-         END DO
-      END DO
+      Gstari        = 1._wp / rn_gstar    
+      astari        = 1._wp / rn_astar    
+      aksum(:,:)    = 0._wp
+      athorn(:,:,:) = 0._wp
+      aridge(:,:,:) = 0._wp
+      araft (:,:,:) = 0._wp
+
+      CALL ice_var_zapsmall   ! Zero out categories with very small areas
+
+!      DO jl = 1, jpl          ! Ice thickness needed for rafting
+!         DO jj = 1, jpj
+!            DO ji = 1, jpi
+!!gm               rswitch = MAX( 0._wp , SIGN( 1._wp, a_i(ji,jj,jl) - epsi20 ) )
+!!gm               ht_i(ji,jj,jl) = v_i (ji,jj,jl) / MAX( a_i(ji,jj,jl) , epsi20 ) * rswitch
+!               IF( a_i(ji,jj,jl) >= epsi20 ) THEN   ;   ht_i(ji,jj,jl) = v_i (ji,jj,jl) / a_i(ji,jj,jl)
+!               ELSE                                 ;   ht_i(ji,jj,jl) = 0._wp
+!               ENDIF
+!           END DO
+!         END DO
+!      END DO
+!!gm or even better :
+!     !                       ! Ice thickness needed for rafting
+      WHERE( a_i(:,:,:) >= epsi20 )   ;   ht_i(:,:,:) = v_i (:,:,:) / a_i(:,:,:)
+      ELSEWHERE                       ;   ht_i(:,:,:) = 0._wp
+      END WHERE
+!!gm end
 
       !------------------------------------------------------------------------------!
       ! 1) Participation function 
       !------------------------------------------------------------------------------!
-
+      !
       ! Compute total area of ice plus open water.
       ! This is in general not equal to one because of divergence during transport
       asum(:,:) = ato_i(:,:) + SUM( a_i, dim=3 )
-
+      !
       ! Compute cumulative thickness distribution function
       ! Compute the cumulative thickness distribution function Gsum,
@@ -348,5 +365,5 @@
          Gsum(:,:,jl) = Gsum(:,:,jl-1) + a_i(:,:,jl)
       END DO
-
+      !
       ! Normalize the cumulative distribution to 1
       DO jl = 0, jpl
@@ -366,5 +383,5 @@
       ! athorn is always >= 0 and SUM(athorn(0:jpl))=1
       !-----------------------------------------------------------------
-
+      !
       IF( nn_partfun == 0 ) THEN       !--- Linear formulation (Thorndike et al., 1975)
          DO jl = 0, jpl    
@@ -383,5 +400,5 @@
             END DO
          END DO
-
+         !
       ELSE                             !--- Exponential, more stable formulation (Lipscomb et al, 2007)
          !                        
@@ -396,7 +413,6 @@
       ENDIF
 
-      ! --- Ridging and rafting participation concentrations --- !
-      IF( ln_rafting .AND. ln_ridging ) THEN
-         !
+      !                                !--- Ridging and rafting participation concentrations
+      IF( ln_rafting .AND. ln_ridging ) THEN             !- ridging & rafting
          DO jl = 1, jpl
             DO jj = 1, jpj 
@@ -408,17 +424,12 @@
             END DO
          END DO
-         !
-      ELSEIF( ln_ridging .AND. .NOT. ln_rafting ) THEN
-         !
+      ELSEIF( ln_ridging .AND. .NOT.ln_rafting ) THEN   !- ridging alone
          DO jl = 1, jpl
             aridge(:,:,jl) = athorn(:,:,jl)
          END DO
-         !
-      ELSEIF( ln_rafting .AND. .NOT. ln_ridging ) THEN
-         !
+      ELSEIF( ln_rafting .AND. .NOT.ln_ridging ) THEN   !- rafting alone   
          DO jl = 1, jpl
             araft(:,:,jl) = athorn(:,:,jl)
          END DO
-         !
       ENDIF
 
@@ -454,16 +465,14 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               
-               IF( athorn(ji,jj,jl) > 0._wp ) THEN
+               IF ( athorn(ji,jj,jl) > 0._wp ) THEN
                   hrmean          = MAX( SQRT( rn_hstar * ht_i(ji,jj,jl) ), ht_i(ji,jj,jl) * krdgmin )
                   hrmin(ji,jj,jl) = MIN( 2._wp * ht_i(ji,jj,jl), 0.5_wp * ( hrmean + ht_i(ji,jj,jl) ) )
                   hrmax(ji,jj,jl) = 2._wp * hrmean - hrmin(ji,jj,jl)
                   hraft(ji,jj,jl) = ht_i(ji,jj,jl) / kraft
-                  krdg(ji,jj,jl)  = ht_i(ji,jj,jl) / MAX( hrmean, epsi20 )
-
+                  krdg (ji,jj,jl) = ht_i(ji,jj,jl) / MAX( hrmean, epsi20 )
+                  !
                   ! Normalization factor : aksum, ensures mass conservation
                   aksum(ji,jj) = aksum(ji,jj) + aridge(ji,jj,jl) * ( 1._wp - krdg(ji,jj,jl) )    &
                      &                        + araft (ji,jj,jl) * ( 1._wp - kraft          )
-
                ELSE
                   hrmin(ji,jj,jl)  = 0._wp 
@@ -472,9 +481,7 @@
                   krdg (ji,jj,jl)  = 1._wp
                ENDIF
-
             END DO
          END DO
       END DO
-      !
       !
    END SUBROUTINE ice_rdgrft_ridgeprep
@@ -493,5 +500,5 @@
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   closing_gross  ! rate at which area removed, excluding area of new ridges
       !
-      CHARACTER (len=80) ::   fieldid   ! field identifier
+      CHARACTER (len=80) ::   fieldid   ! field identifier     !!gm DOCTOR name wrong
       !
       INTEGER ::   ji, jj, jl, jl1, jl2, jk   ! dummy loop indices
@@ -740,10 +747,9 @@
 
                ! Compute the fraction of rafted ice area and volume going to thickness category jl2
-               IF( hraft(ji,jj,jl1) <= hi_max(jl2) .AND. hraft(ji,jj,jl1) >  hi_max(jl2-1) ) THEN
-                  zswitch(ij) = 1._wp
-               ELSE
-                  zswitch(ij) = 0._wp                  
+!!gm see above               IF( hraft(ji,jj,jl1) <= hi_max(jl2) .AND. hraft(ji,jj,jl1) >  hi_max(jl2-1) ) THEN
+               IF( hi_max(jl2-1) < hraft(ji,jj,jl1) .AND. hraft(ji,jj,jl1) <= hi_max(jl2)  ) THEN   ;   zswitch(ij) = 1._wp
+               ELSE                                                                                 ;   zswitch(ij) = 0._wp                  
                ENDIF
-
+               !
                a_i  (ji,jj  ,jl2) = a_i  (ji,jj  ,jl2) + ( ardg2 (ij) * farea    + arft2 (ij) * zswitch(ij) )
                oa_i (ji,jj  ,jl2) = oa_i (ji,jj  ,jl2) + ( oirdg2(ij) * farea    + oirft2(ij) * zswitch(ij) )
@@ -756,11 +762,10 @@
                ! MV MP 2016
                IF ( nn_pnd_scheme > 0 ) THEN
-                  v_ip (ji,jj,jl2) = v_ip (ji,jj,jl2)  + ( vprdg (ij) * rn_fpondrdg * fvol(ij)  +   &
-                                                       &   vprft (ij) * rn_fpondrft * zswitch(ij) )
-                  a_ip (ji,jj,jl2) = a_ip(ji,jj,jl2)   + ( aprdg2(ij) * rn_fpondrdg * farea +       & 
-                                                       &   aprft2(ij) * rn_fpondrft * zswitch(ji) )
+                  v_ip (ji,jj,jl2) = v_ip(ji,jj,jl2) + (   vprdg (ij) * rn_fpondrdg * fvol   (ij)   &
+                     &                                   + vprft (ij) * rn_fpondrft * zswitch(ij)   )
+                  a_ip (ji,jj,jl2) = a_ip(ji,jj,jl2) + (   aprdg2(ij) * rn_fpondrdg * farea         & 
+                     &                                   + aprft2(ij) * rn_fpondrft * zswitch(ji)   )
                ENDIF
                ! END MV MP 2016
-
             END DO
 
@@ -774,5 +779,5 @@
             !
          END DO ! jl2
-         
+         !
       END DO ! jl1 (deforming categories)
 
@@ -782,4 +787,5 @@
       !
    END SUBROUTINE ice_rdgrft_ridgeshift
+
 
    SUBROUTINE ice_rdgrft_icestrength( kstrngth )
@@ -798,7 +804,8 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kstrngth    ! = 1 for Rothrock formulation, 0 for Hibler (1979)
+      !
       INTEGER             ::   ji,jj, jl   ! dummy loop indices
-      INTEGER             ::   ksmooth     ! smoothing the resistance to deformation
-      INTEGER             ::   numts_rm    ! number of time steps for the P smoothing
+      INTEGER             ::   ksmooth     ! smoothing the resistance to deformation    !!gm not DOCTOR : start with i !!!
+      INTEGER             ::   numts_rm    ! number of time steps for the P smoothing    !!gm not DOCTOR : start with i !!!
       REAL(wp)            ::   zp, z1_3    ! local scalars
       REAL(wp), DIMENSION(jpi,jpj) ::   zworka           ! temporary array used here
@@ -880,10 +887,8 @@
       ! 6) Smoothing ice strength
       !------------------------------------------------------------------------------!
-      !
-      !-------------------
-      ! Spatial smoothing
-      !-------------------
-      IF ( ksmooth == 1 ) THEN
-
+      SELECT CASE( ksmooth )
+      !                       !-------------------
+      CASE( 1 )               ! Spatial smoothing
+         !                    !-------------------
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
@@ -905,17 +910,13 @@
          END DO
          CALL lbc_lnk( strength, 'T', 1. )
-
-      ENDIF
-
-      !--------------------
-      ! Temporal smoothing
-      !--------------------
-      IF ( ksmooth == 2 ) THEN
-
+         !
+         !                    !--------------------
+      CASE( 2 )               ! Temporal smoothing
+         !                    !--------------------
          IF ( kt_ice == nit000 ) THEN
             zstrp1(:,:) = 0._wp
             zstrp2(:,:) = 0._wp
          ENDIF
-
+         !
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
@@ -925,20 +926,20 @@
                   IF ( zstrp2(ji,jj) > 0._wp ) numts_rm = numts_rm + 1
                   zp = ( strength(ji,jj) + zstrp1(ji,jj) + zstrp2(ji,jj) ) / numts_rm
-                  zstrp2(ji,jj) = zstrp1(ji,jj)
-                  zstrp1(ji,jj) = strength(ji,jj)
+                  zstrp2  (ji,jj) = zstrp1  (ji,jj)
+                  zstrp1  (ji,jj) = strength(ji,jj)
                   strength(ji,jj) = zp
                ENDIF
             END DO
          END DO
-
          CALL lbc_lnk( strength, 'T', 1. )      ! Boundary conditions
-
-      ENDIF ! ksmooth
+         !
+      END SELECT
       !
    END SUBROUTINE ice_rdgrft_icestrength
+
 
    SUBROUTINE ice_rdgrft_init
       !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE ice_rdgrft_init ***
+      !!                  ***  ROUTINE ice_rdgrft_init ***
       !!
       !! ** Purpose :   Physical constants and parameters linked 
@@ -952,7 +953,8 @@
       !!-------------------------------------------------------------------
       INTEGER :: ios                 ! Local integer output status for namelist read
-      NAMELIST/namiceitdme/ rn_cs, nn_partfun, rn_gstar, rn_astar,             & 
-        &                   ln_ridging, rn_hstar, rn_por_rdg, rn_fsnowrdg, rn_fpondrdg, & 
-                            ln_rafting, rn_hraft, rn_craft,   rn_fsnowrft, rn_fpondrft
+      !!
+      NAMELIST/namiceitdme/ rn_cs     , nn_partfun, rn_gstar  , rn_astar   ,                & 
+         &                  ln_ridging, rn_hstar  , rn_por_rdg, rn_fsnowrdg, rn_fpondrdg,   & 
+         &                  ln_rafting, rn_hraft  , rn_craft  , rn_fsnowrft, rn_fpondrft
       !!-------------------------------------------------------------------
       !
@@ -960,5 +962,5 @@
       READ  ( numnam_ice_ref, namiceitdme, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitdme in reference namelist', lwp )
-
+      !
       REWIND( numnam_ice_cfg )              ! Namelist namiceitdme in configuration namelist : Ice mechanical ice redistribution
       READ  ( numnam_ice_cfg, namiceitdme, IOSTAT = ios, ERR = 902 )
@@ -992,12 +994,6 @@
    !!   Default option         Empty module          NO LIM-3 sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE ice_rdgrft           ! Empty routines
-   END SUBROUTINE ice_rdgrft
-   SUBROUTINE ice_rdgrft_icestrength
-   END SUBROUTINE ice_rdgrft_icestrength
-   SUBROUTINE ice_rdgrft_init
-   END SUBROUTINE ice_rdgrft_init
 #endif
+
    !!======================================================================
 END MODULE icerdgrft
